#!/bin/bash
# main script to call
ITER=32
MINNODES=7
MAXNODES=63
NODESTEP=4
PRECISION=0.1
now=$(date +"%m_%d_%Y-%Hh%Mm")
if [  -z "${BASEDCE}" ]
then
    echo you must execute DCE setenv.sh script before
    exit 0
fi
out=bench_${now}.log
echo start >$out
date >>$out
./dico_dce.py $ITER $MINNODES $MAXNODES $NODESTEP $PRECISION  | tee -a $out
./moy_bw_dce.py $ITER | tee -a $out
./mes_mem_cpu_dce.py $ITER $MINNODES $MAXNODES $NODESTEP | tee -a $out
./moy_mem_dce.py $ITER | tee -a $out
rm -rf files-* exitprocs
mkdir -p ../results
cp confidencePKTS_dce.gnuplot ../results
cp confidenceCPU_dce.gnuplot ../results
cp confidenceMEM_dce.gnuplot ../results
echo end >>$out
date >>$out

