#!/bin/bash
# main script to call
ITER=32
MINNODES=7
MAXNODES=63
NODESTEP=4
PRECISION=0.5
now=$(date +"%m_%d_%Y-%Hh%Mm")
out=bench_${now}.log
echo start >$out
date >>$out
./dico-loop.sh $ITER $MINNODES $MAXNODES $NODESTEP $PRECISION  | tee -a $out
./moy_bw_mininet.py $ITER | tee -a $out
./mes_mem_cpu_mininet.py $ITER $MINNODES $MAXNODES $NODESTEP    | tee -a $out
./moy_mem_mininet.py $ITER | tee -a $out
mkdir -p ../results
cp confidencePKTS_mininet.gnuplot ../results
cp confidenceCPU_mininet.gnuplot ../results
cp confidenceMEM_mininet.gnuplot ../results
echo end >>$out
date >>$out

