#!/bin/bash
CGROUP=mininet-group
# args:
# $1: NODES NUMBER
# $2: BandWidth 1 = 1=Mbps
function measure 
{
    NUM=$1
    NODES=$2
    BW=$3
# CREATE THE CGROUP
    sudo cgcreate -g cpuacct,memory:$CGROUP
# LAUNCH THE EXPERIENCE
    sudo cgexec -g cpuacct,memory:$CGROUP --sticky ./udpperf.py $NODES $BW $NUM 0
# COLLECT THE MEASURES
    echo $NODES $(cat /sys/fs/cgroup/memory/$CGROUP/memory.max_usage_in_bytes) $(cat /sys/fs/cgroup/cpuacct/$CGROUP/cpuacct.usage) >>memcpu_mininet_${NUM}.txt
# DELETE THE CGROUP TO CLEAN
    sudo cgdelete cpuacct,memory:$CGROUP
}
measure $1 $2 $3


