#!/usr/bin/python
import os
import sys
from math import sqrt

i=1
MEM = dict()
CPU = dict()
iter=int(sys.argv[1])
samplesMEM = [dict() for x in range(1,iter+2)]
samplesCPU = [dict() for x in range(1,iter+2)]

nb=0
while (i<=iter):
    filename = "memcpu_mininet_"+str(i)+".txt"
    print filename
    fp = open (filename, "r") 
    trouve=0
    for l in fp.readlines ():
        try:
            list_values = l.split ()
            nodes = int(list_values[0])
            bw = float(list_values[1])
            packets = int(list_values[2])
            print "n:",nodes," memory (bytes) :",bw," cpu(nanoseconds)=:",packets
            if (MEM.has_key(nodes)):
                MEM[nodes] = MEM[nodes]+bw
            else:
                MEM[nodes] = bw
                
            samplesMEM[i][nodes]=bw
            
            if (CPU.has_key(nodes)):
                CPU[nodes] = CPU[nodes]+packets
            else:
                CPU[nodes] = packets
                
            samplesCPU[i][nodes]=packets
            trouve = 1    
        except Exception:
            pass
    fp.close ()
    i = i + 1
    if (trouve):
        nb = nb + 1

print MEM
print CPU
fp = open ("moy_mem_cpu_mininet.txt", "w")

averagesMEM=dict()
averagesCPU=dict()

# the somme are in the dicos
for key in sorted(MEM.iterkeys()):
    fp.write (str(key)+" "+str(  MEM[key] / nb ) + " "+ str (CPU[key] / nb )+"\n")
    averagesMEM[key]=MEM[key] / nb
    averagesCPU[key]=CPU[key] / nb
    
fp.close ()

#Find the standard deviation
standardDeviationMEM=dict()
standardDeviationCPU=dict()

for key in sorted(averagesMEM.iterkeys()):
    for index in range(1,iter+1):
        difference = samplesMEM[index][key] - averagesMEM[key]
        difference = difference*difference

        if (standardDeviationMEM.has_key(key)):
            standardDeviationMEM[key] = standardDeviationMEM[key]+difference
        else:
            standardDeviationMEM[key] = difference
            
        difference = samplesCPU[index][key] - averagesCPU[key]
        difference = difference*difference

        if (standardDeviationCPU.has_key(key)):
            standardDeviationCPU[key] = standardDeviationCPU[key]+difference
        else:
            standardDeviationCPU[key] = difference
            
            
    standardDeviationMEM[key]=sqrt(standardDeviationMEM[key])/(nb)
    standardDeviationCPU[key]=sqrt(standardDeviationCPU[key])/(nb)
    
#Find the confidence interval
confidenceIntervalMEM=dict() #99% -> 2.575
confidenceIntervalCPU=dict() #99% -> 2.575
for key in sorted(standardDeviationMEM.iterkeys()):
    confidenceIntervalMEM[key]=(2.575 * (standardDeviationMEM[key]/(sqrt(nb))))
    confidenceIntervalCPU[key]=(2.575*(standardDeviationCPU[key]/(sqrt(nb))))

#Save confidence interval
fp1 = open ("confidenceMEM_mininet.gnuplot", "w")
fp2 = open ("confidenceCPU_mininet.gnuplot", "w")
for key in sorted(confidenceIntervalMEM.iterkeys()):
    fp1.write (str(key)+" "+str( averagesMEM[key])+" "+ str(confidenceIntervalMEM[key])+"\n")
    fp2.write (str(key)+" "+str( averagesCPU[key])+" "+ str(confidenceIntervalCPU[key])+"\n")

fp1.close ()
fp2.close ()





